import { z } from 'zod';

export const mongodbConfigSchema = z.object({
  enabled: z.boolean().optional().default(true),
  uri: z.string(),
  database: z.string(),
});

export type MongoDBConfig = z.infer<typeof mongodbConfigSchema>;